{% extends "template.html" %}
{%  block head %}
{#<link rel="stylesheet" href="static/css/style.css">#}

{%  endblock %}
{% block body %}
{% if  response['results']  %}
<p>You searched for: {{ response['query'] }}</p>
    <ul class="list">
        {% for samples, law_title, para_n, score, url  in response['results'] %}
        <li class="result-box">
            <a href="/analysis/{{ law_title }}-{{ para_n }}">
                <h1><span class="result-law-title">{{ law_title }}</span>
                    {% if para_n %} §<span class="result-law-para">{{ para_n }}</span>{% endif %}
                </h1>
            </a>
            <a href="{{ url }}">
                {{  url }}{# &#128279;gesetze-im-internet#}
            </a>
            <br> Score: <span class="result-score">{{ "{0:.2f}".format(score) }}</span>
            <p>
            <dl>
                {%  for sample in samples %}
                <dd>{{ sample|safe }}</dd>
                {%  endfor %}
            </dl>
            </p>

        </li>
        {% endfor %}
    </ul>
{% else %}
    <p>No results found.</p>
{% endif %}
    <script src="static/js/list.min.js"></script>
<script>var options = {
  valueNames: [ 'result-law-title', 'result-law-para', 'result-score' ]
};
var resultsList = new List('results', options);</script>
</div>
{% endblock %}
{%  block side %}
    <div id="facets">
        <b>Refine results:</b> <br><br>
        <button class="sort" data-sort="result-law-title">
            Sort by law type
        </button>
        <button class="sort" data-sort="result-score">
            Sort by relevance
        </button>
        <label>
            Filter law type or §:
            <input type="text" class="fuzzy-search"/>
        </label>
    </div>

{%  endblock %}
